% recordingSettings
recordingPath = 'C:\Users\borgewi\Documents\master\data\recordings\';

radarSettings.prf = 300;
radarSettings.winLen = 0.2;
radarSettings.TimeBetwUpdate = 1/radarSettings.prf;
radarSettings.stftHop = ceil(radarSettings.TimeBetwUpdate*radarSettings.prf); % frames between each rangeDoppler matrix computation
radarSettings.c = 3e8;

%Range gating
radarSettings.rangeGate = 1;        %[m]

radarSettings.pd_dB_limit = -150;
radarSettings.md_dB_limit = -30;

% Save fig (boolean)
radarSettings.saveFig = 0;



outputPath = 'C:\Users\borgewi\Documents\master\data\recordings\microDopplerRecordings\';
dateString = [datestr(datetime('now'),'yyyymmdd'),'_',datestr(datetime('now'),'HHMMSS')];
outputFilename = ['xethru_recording_',dateString,'\'];
radarSettings.outputFolder = [outputPath,outputFilename];

if ~exist(radarSettings.outputFolder,'dir')
    mkdir(radarSettings.outputFolder);
end

radarSettings.targetString = []';

