% Path
dateString = [datestr(datetime('now'),'yyyymmdd'),'_',datestr(datetime('now'),'HHMMSS')];
outputFilename = ['cnnRun_',dateString,'_']; % timestampes folder for each simulation run, placed in outputPath
savePath = strcat('Data\Results\',outputFilename);

% Create output path
if ~exist(savePath,'dir')
    mkdir(savePath);
end

%Create outputpath real data
savePathReal = strcat(savePath,'\RealTestdata');
if ~exist(savePathReal,'dir')
    mkdir(savePathReal);
end

%Create outputpath synthetic data
savePathSynthetic = strcat(savePath,'\SyntTestdata');
if ~exist(savePathSynthetic,'dir')
    mkdir(savePathSynthetic);
end