% hyperparameters
hp.miniBatchSize = 128;           
hp.maxEpochs = 20;                 
hp.initLearnRate = 1e-1;    
hp.learnRateDropFactor = 0.1;
hp.learnRateDropPeriod = floor(hp.maxEpochs/5);
hp.momentum = 0.9;               
hp.L2regularization = 0;
% Layer parameters 
hp.imageInputSize = [32 32 1];

hp.filterSize = 3;             
hp.numFilters = 32;  

hp.numConvLayers = 5;

hp.padding = 1;
hp.stride = 2;
hp.pooling = 2;

hp.shuffle = 'every-epoch';

hp.dropoutProb = 0.5;

%Sizes of hidden layers
hp.fcHiddenSize = [256 128];
hp.fcOutputSize = 2;

%Dataset ratios
hp.trainRatio = 0.8;       
hp.valRatio = 0.2;         

% Weight initialization
hp.fcWeightsStdDev = 1;
hp.filterWeightsStdDev = 1;
hp.seed = 13;

% Number of filter iterations for plotting
hp.numFCiterations = 10;
hp.numFilterIterations = 5;

