function [X_Train, T_Train] = shuffleData(X, T)
    numMatrices = size(X,4);
    rand_pos = randperm(numMatrices) ;
    temp_X_Train = X;
    temp_T_Train = T;
    for k = 1:numMatrices
        temp_X_Train(:,:,:,k) = X(:,:,:,rand_pos(k));
        temp_T_Train(:,k) = T(:,rand_pos(k));
    end
    X_Train = temp_X_Train;
    T_Train = temp_T_Train;
end