function [X_Train, T_Train, X_Val, T_Val] = splitData2TrainVal(X, T, trainRatio, valRatio)
    % split into training, validation and test sets
    [trainInd,valInd] = dividerand(size(X,4),trainRatio,valRatio);
    X_Train = X(:,:,:,trainInd);
    T_Train = T(:,trainInd);
    X_Val = X(:,:,:,valInd);
    T_Val = T(:,valInd);
end

