% Script to display training images

%load input data
clc; clear; close all;
addpath(genpath('..\..\RadarClassification'));

datasetsSettings;

load(strcat(datafolder,'X_Train.mat'));
load(strcat(datafolder,'T_Train.mat'));
load(strcat(datafolder,'X_Test.mat'));
load(strcat(datafolder,'T_Test.mat'));

%% Plot images
datasetsSettings;
prf = 3000;
idx = 2894;
dB_limit = -45;
windowSize = 3000; %dataParameters.windowSize;
pauseTime = 0.002;

figMD = plotInputImage(X_Train,idx, prf, windowSize, dB_limit);
% plotMicroDopplerVideo(X_Test_Real, prf, windowSize, dB_limit, pauseTime);
% figMD = plotMicroDopplerImage(microDoppler, prf, dB_limit);

%% Save 
% 
% outputPath = 'C:\Users\borgewi\Documents\master\data\microDoppler4D\';
% dateString = [datestr(datetime('now'),'yyyymmdd'),'_',datestr(datetime('now'),'HHMMSS')];
% outputFilename = ['microDoppler4D_',dateString,'\'];
% outputFolder = [outputPath,outputFilename];
% % Create directory
% if ~exist(outputFolder,'dir')
%     mkdir(outputFolder);
% end   
% 
% formattype = 'epsc';
% filename = [outputFolder,strcat('microDoppler_image',num2str(idx),'-',num2str(ch))];
% saveas(figMD,filename,formattype);

Output.INFO('Script ended.\n');
