
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief % This function creates a matrix of targets from the labeled categorical
% vector used in the ANN. This matrix can be used to plot confusion
% matrices and roc. 
%
% @param[in] labelVector    - Vector of class labels
% @param[out] iterations    - Matric of class labels 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function targets = createTargetMatrix(labelVector)
    targets = zeros(2,size(labelVector,2));
    for i = 1:size(labelVector,2)
        if labelVector(i) == "dog"
            targets(1,i) = 1;
        end
        if labelVector(i) == "human"
            targets(2,i) = 1;
        end    
    end
end

