function [uDoppler] = splitMicroDoppler(microDoppler, windowSize, overlap)
    % numMatrices must be at least the size of overlap+1
    [~, I] = size(microDoppler);
    uDoppler = []; % NaN(M,timeLength,floor(I/(timeLength/2)));
    idx = 1;
    for i = 1:floor(I/overlap)
        if idx+(windowSize-1) > I
            continue 
        end
        uDoppler(:,:,1,i) = microDoppler(:,idx:idx+(windowSize-1));
        idx = idx + overlap;
    end
end