% This script contains paramaters relevant to the creation of the datasets
% used for training. It also provides paths to the data.

dataParameters.windowSizeSynthetic = 3000;  
dataParameters.windowSizeReal = 300;  
dataParameters.overlap = 50; %dataParameters.windowSize/64;

dataParameters.imSize = [256 256];

% dataParameters.expFactor = dataParameters.windowSize/32; 
% dataParameters.expRotationFactor = 10;
% dataParameters.angleInterval = [-180 180];

humanTrainingPath = 'Data\TrainingData\human\';
dogTrainingPath = 'Data\TrainingData\dog\';

humanTestPathSynthetic = 'Data\TestData\Synthetic\human\';
dogTestPathSynthetic = 'Data\TestData\Synthetic\dog\';

humanTestPathReal = 'Data\TestData\Real\human\';
dogTestPathReal = 'Data\TestData\Real\dog\';

datafolder = 'Data\';

targetString = [];

